# OpenLayers.Filter

This class represents an OGC Filter.

Summary

OpenLayers.Filter | This class represents an OGC Filter.
Constructor |
OpenLayers.Filter | This class represents a generic filter.
Functions |
destroy | Remove reference to anything added.
evaluate | Evaluates this filter in a specific context.
clone | Clones this filter.
toString | {String} Include OpenLayers.Format.CQL in your build to get a CQL representation of the filter returned.

### Constructor

### OpenLayers.Filter

This class represents a generic filter.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

#### Returns

{OpenLayers.Filter}

### Functions

### destroy

> destroy: function()

Remove reference to anything added.

### evaluate

> evaluate: function( | context | )

Evaluates this filter in a specific context. Instances or subclasses are supposed to override this method.

#### Parameters

context | {Object} Context to use in evaluating the filter. If a vector feature is provided, the feature.attributes will be used as context.

#### Returns

{Boolean} The filter applies.

### clone

> clone: function()

Clones this filter. Should be implemented by subclasses.

#### Returns

{OpenLayers.Filter} Clone of this filter.

### toString

> toString: function()

#### Returns

{String} Include OpenLayers.Format.CQL in your build to get a CQL representation of the filter returned. Otherwise “[Object object]” will be returned.

> destroy: function()

Remove reference to anything added.

> evaluate: function( | context | )

Evaluates this filter in a specific context.

> clone: function()

Clones this filter.

> toString: function()

{String} Include OpenLayers.Format.CQL in your build to get a CQL representation of the filter returned.
Read CQL strings to get OpenLayers.Filter objects.
This class represents a generic filter.
Close